Name: sshguard
Version: 1.6.4
Release: 1%{?dist}
# The entire source code is BSD 
# except src/parser/* witch is GPLv2+ 
# except src/hash_32a.c witch is Public Domain
License: BSD and GPLv2+ and Public Domain
Group: System Environment/Shells
Summary: Protect hosts from brute force attacks against ssh
Url: http://sshguard.sourceforge.net
Source0: http://downloads.sourceforge.net/sshguard/%{name}-%{version}.tar.gz
Source1: sshguard.service
Source2: sshguard.sysconfig
Source3: sshguard.whitelist

Requires: iptables
Requires: openssh-server

BuildRequires: autoconf
BuildRequires: systemd-units

%description
Sshguard protects networked hosts from brute force attacks
against ssh servers. It detects such attacks and blocks the
attacker's address with a firewall rule.

%prep
%setup -q

%build
%{configure} --with-firewall=iptables
make %{?_smp_mflags} RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_unitdir}
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig
mkdir -m 0755 -p $RPM_BUILD_ROOT/%{_sysconfdir}/sshguard
mkdir -m 0700 -p $RPM_BUILD_ROOT/%{_localstatedir}/db/sshguard

install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/%{_unitdir}/sshguard.service
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/sshguard
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/%{_sysconfdir}/sshguard/whitelist

%post
%systemd_post sshguard.service

%preun
%systemd_preun sshguard.service

%postun
%systemd_postun_with_restart sshguard.service

%files
%doc ChangeLog COPYING README.rst
%config(noreplace) %{_sysconfdir}/sysconfig/sshguard
%config(noreplace) %{_sysconfdir}/sshguard/whitelist
%{_unitdir}/sshguard.service
%{_localstatedir}/db/sshguard
%{_sbindir}/%{name}
%{_mandir}/man8/%{name}*

%changelog
* Tue Oct 13 2015 Allen Hewes <allen@decisiv.net> - 1.6.2-1
- update to sshguard 1.6.2

* Mon Aug 03 2015 Allen Hewes <allen@decisiv.net> - 1.6.1-1
- update to sshguard 1.6.1

* Fri Jul 17 2015 Allen Hewes <allen@decisiv.net> - 1.6.0-1
- update to sshguard 1.6.0
- more systemd changes
- include a better sysconfig file
- include example whitelist
- turn on blacklist retention db/file

* Fri Jul 17 2015 Allen Hewes <allen@decisiv.net> - 1.5-6
- fix systemd startup definition
- put sysv init script in more proper place
- tweak startup and update for 1.5 defaults
- fix changelog

* Fri Jul 17 2015 Allen Hewes <allen@decisiv.net> - 1.5-5
- update spec file for current fedora (21/22)
- fix dates in changelog (rpmlint)

* Thu Aug 16 2012 Sebastien Caps sebastien.caps@guardis.com 1.5-4.fc16
- Fix multi licensed files 

* Thu Aug 16 2012 Sebastien Caps sebastien.caps@guardis.com 1.5-3.fc16
- Added systemd script,
- correct license.

* Tue Aug 14 2012 Sebastien Caps sebastien.caps@guardis.com 1.5-2.fc16
- Fix some spec issue.

* Tue Aug 14 2012 Sebastien Caps sebastien.caps@guardis.com 1.5-1.fc16
- Rebuilt for RedHat based distro.

* Wed Mar 02 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 1.5-1mdv2011.0
+ Revision: 641382
- update to new version 1.5

* Sat Sep 26 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.4-1mdv2010.0
+ Revision: 449478
- update to new version 1.4

* Sun Sep 20 2009 Thierry Vignaud <tv@mandriva.org> 1.3-2mdv2010.0
+ Revision: 445231
- rebuild

* Sun Oct 12 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3-1mdv2009.1
+ Revision: 293010
- update to new version 1.3
- update to new version 1.3
- update to new version 1.2

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.1-0.beta3.1mdv2009.0
+ Revision: 140851
- restore BuildRoot

+ Thierry Vignaud <tv@mandriva.org>
- kill re-definition of %%buildroot on Pixel's request

* Fri Oct 26 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1-0.beta3.1mdv2008.1
+ Revision: 102372
- new version

* Tue May 22 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-0.beta2.2mdv2008.0
+ Revision: 29621
- fix group

* Tue May 22 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-0.beta2.1mdv2008.0
+ Revision: 29613
- Import sshguard
